import { AuthService, OpenAPI, RunnerOrganizationService, RunnerService, RunnerTeamService, ScanService } from "@odit/lfk-client-node";
import * as dotenv from 'dotenv';
dotenv.config()

const groupID = -1;
const orgID = 72;
const distanceMeter = 3000;

OpenAPI.BASE = process.env.BASE_URL;
const user = process.env.USER;
const password = process.env.PASSWORD;

if(!user || !password || !OpenAPI.BASE){
    process.exit(1)
}

const auth = await AuthService.authControllerLogin({ username: user, password });
OpenAPI.TOKEN = auth.access_token;
console.log("Logged in")

const runners = await RunnerService.runnerControllerGetAll();
let filteredRunners = [];
if(groupID !== -1){
    filteredRunners = runners.filter((r) => r.group.id == groupID);
} else{
    filteredRunners = runners.filter((r) => r.group.id == orgID || r.group.parentGroup?.id == orgID);
}

const scans = [];
for (const runner of filteredRunners) {
    scans.push(ScanService.scanControllerPost({ distance: distanceMeter, runner: runner.id, valid: true }))
}
await Promise.all(scans);